MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
AllocatedSocketAddress Class Reference

`#include <AllocatedSocketAddress.hxx>`

## Public Types
typedef SocketAddress::size_type | size_type

## Public Member Functions
| AllocatedSocketAddress ()
| AllocatedSocketAddress (SocketAddress src)
| AllocatedSocketAddress (const AllocatedSocketAddress &)=delete
| AllocatedSocketAddress (AllocatedSocketAddress &&src)
| ~AllocatedSocketAddress ()
AllocatedSocketAddress & | operator= (SocketAddress src)
AllocatedSocketAddress & | operator= (const AllocatedSocketAddress &)=delete
AllocatedSocketAddress & | operator= (AllocatedSocketAddress &&src)
gcc_pure bool | operator== (SocketAddress other) const
bool | operator!= (SocketAddress &other) const
bool | IsNull () const
size_type | GetSize () const
const struct sockaddr * | GetAddress () const
| operator SocketAddress () const
| operator const struct sockaddr * () const
int | GetFamily () const
bool | IsDefined () const
| Does the object have a well-defined address? Check !IsNull() before calling this method. More...
void | Clear ()

## Static Public Member Functions
static gcc_const AllocatedSocketAddress | Null ()

## Detailed Description

Definition at line 43 of file AllocatedSocketAddress.hxx.

## Member Typedef Documentation

typedef SocketAddress::size_type AllocatedSocketAddress::size_type

Definition at line 45 of file AllocatedSocketAddress.hxx.

## Constructor & Destructor Documentation

AllocatedSocketAddress::AllocatedSocketAddress | ( |  | ) |
| inline

Definition at line 56 of file AllocatedSocketAddress.hxx.

AllocatedSocketAddress::AllocatedSocketAddress | ( | SocketAddress | src | ) |
| inline explicit

Definition at line 58 of file AllocatedSocketAddress.hxx.

AllocatedSocketAddress::AllocatedSocketAddress | ( | const AllocatedSocketAddress & |  | ) |
| delete

AllocatedSocketAddress::AllocatedSocketAddress | ( | AllocatedSocketAddress && | src | ) |
| inline

Definition at line 65 of file AllocatedSocketAddress.hxx.

AllocatedSocketAddress::~AllocatedSocketAddress | ( |  | ) |
| inline

Definition at line 71 of file AllocatedSocketAddress.hxx.

## Member Function Documentation

void AllocatedSocketAddress::Clear | ( |  | ) |
| inline

Definition at line 131 of file AllocatedSocketAddress.hxx.

const struct sockaddr* AllocatedSocketAddress::GetAddress | ( |  | ) | const
| inline

Definition at line 107 of file AllocatedSocketAddress.hxx.

int AllocatedSocketAddress::GetFamily | ( |  | ) | const
| inline

Definition at line 119 of file AllocatedSocketAddress.hxx.

size_type AllocatedSocketAddress::GetSize | ( |  | ) | const
| inline

Definition at line 103 of file AllocatedSocketAddress.hxx.

bool AllocatedSocketAddress::IsDefined | ( |  | ) | const
| inline

Does the object have a well-defined address? Check !IsNull() before calling this method.

Definition at line 127 of file AllocatedSocketAddress.hxx.

bool AllocatedSocketAddress::IsNull | ( |  | ) | const
| inline

Definition at line 99 of file AllocatedSocketAddress.hxx.

static gcc_const AllocatedSocketAddress AllocatedSocketAddress::Null | ( |  | ) |
| inline static

Definition at line 95 of file AllocatedSocketAddress.hxx.

AllocatedSocketAddress::operator const struct sockaddr * | ( |  | ) | const
| inline

Definition at line 115 of file AllocatedSocketAddress.hxx.

AllocatedSocketAddress::operator SocketAddress | ( |  | ) | const
| inline

Definition at line 111 of file AllocatedSocketAddress.hxx.

bool AllocatedSocketAddress::operator!= | ( | SocketAddress & | other | ) | const
| inline

Definition at line 90 of file AllocatedSocketAddress.hxx.

AllocatedSocketAddress& AllocatedSocketAddress::operator= | ( | SocketAddress | src | ) |

AllocatedSocketAddress& AllocatedSocketAddress::operator= | ( | const AllocatedSocketAddress & |  | ) |
| delete

AllocatedSocketAddress& AllocatedSocketAddress::operator= | ( | AllocatedSocketAddress && | src | ) |
| inline

Definition at line 79 of file AllocatedSocketAddress.hxx.

gcc_pure bool AllocatedSocketAddress::operator== | ( | SocketAddress | other | ) | const
| inline

Definition at line 86 of file AllocatedSocketAddress.hxx.

The documentation for this class was generated from the following file:

- net/AllocatedSocketAddress.hxx